Qt 5.7 | Qt Charts | QML Types | DateTimeAxis QML Type

Qt 5.7.1 Reference Documentation

# DateTimeAxis QML Type

The DateTimeAxis element is used for manipulating chart's axes. More...

Import Statement: | import QtCharts 2.1
Instantiates: | QDateTimeAxis
Inherits: | AbstractAxis

- List of all members, including inherited members

## Properties

- format : string
- max : datetime
- min : datetime
- tickCount : int

## Signals

- onFormatChanged(string format)
- onMaxChanged(datetime max)
- onMinChanged(datetime min)
- tickCountChanged(int tickCount)

## Detailed Description

The labels can be configured by setting an appropriate DateTime format. Note that any date before 4714 BCE or after about 1.4 million CE may not be accurately stored. DateTimeAxis can be setup to show axis line with tick marks, grid lines and shades.

## Property Documentation

format : string

The format string that is used when creating label for the axis out of a QDateTime object. Check QDateTime documentation for information on how the string should be defined.

max : datetime

Defines the maximum value on the axis. When setting this property the min is adjusted if necessary, to ensure that the range remains valid.

min : datetime

Defines the minimum value on the axis. When setting this property the max is adjusted if necessary, to ensure that the range remains valid.

tickCount : int

The number of tick marks for the axis.

## Signal Documentation

onFormatChanged(string format)

Axis emits signal when format of the axis has changed.

onMaxChanged(datetime max)

Axis emits signal when max of axis has changed.

onMinChanged(datetime min)

Axis emits signal when min of axis has changed.

tickCountChanged(int tickCount)

Axis emits signal when tickCount number on axis have changed.